/* BASE */
@import "../base/Variables";

/* WIDGETS */
@import "../Widgets/banner.scss";
@import "../Widgets/banner-product.scss";
@import "../Widgets/title-product.scss";

.nutriclub-content-product {
    $bluedark: #26419e;
    $bluedark2: #1c3077;
    $blueacen: #f7f9fa;
    $blueacen2: #f0f8fb;
    a {
        color: inherit;
        &:hover {
            text-decoration: none;
        }
    }
    .bg-acean {
        background-color: $blueacen;
    }
    .bg-acean2 {
        background-color: $blueacen2;
    }
    .container-child {
        max-width: 670px;
        margin: 0 auto;
        padding-left: 15px;
        padding-right: 15px;
    }

    .content-porduct_header {
        &_bg {
            position: relative;
            .container-child {
                position: absolute;
                left: 0;
                right: 0;
                top: 50%;
                transform: translateY(-50%);
            }
            h1 {
                font-size: 24px;
                color: $bluedark;
                max-width: 430px;
                font-family: "GothamRounded-Bold";
                &.left {
                    margin-left: auto;
                }
                &.center {
                    margin: auto;
                    max-width: inherit;
                    text-align: center;

                    @include breakpoint(mobile) {
                        text-align: left;
                        font-size: 22px;
                        padding-left: 2rem;
                        padding-right: 8rem;
                        img {
                            padding-bottom: 3px;
                            width: 63px;
                        }
                    }
                }
            }
        }
    }
    .content-porduct_section {
        padding-top: 2.5rem;
        padding-bottom: 2.75rem;
        p {
            margin-bottom: 0;
        }
        @include breakpoint(mobile) {
            padding-bottom: 29px;
        }
        &_2 {
            padding-top: 4rem;
            padding-bottom: 4rem;
        }
    }
    .content-porduct_sort_desc {
        h2 {
            color: $bluedark;
            font-size: 20px;
            @include breakpoint(mobile) {
                font-size: 16px;
            }
        }
        p {
            font-size: 16px;
            font-family: "GothamRounded-Book";
            @include breakpoint(mobile) {
                font-size: 12px;
            }
        }
        &-filter {
            margin-bottom: 15px;
            h2 {
                font-size: 18px;
            }
            @include breakpoint(mobile) {
                h2 {
                    font-size: 14px;
                }
            }
        }
    }

    .card-product {
        padding: 1rem;
        .img-div {
            background-color: white;
            text-align: center;
            height: 280px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 10px;
            padding: 10px;
        }
        .desc-div {
            padding-top: 1rem;
        }
        h2 {
            color: $bluedark;
            font-size: 18px;
        }
        .text-blue {
            font-size: 14px;
            color: #2bb2e4;
            @include breakpoint(mobile) {
                font-size: 12px;
            }
        }
        p {
            color: #707070;
            font-size: 14px;
            font-family: "GothamRounded-Book";
            @include breakpoint(mobile) {
                font-size: 10px;
            }
        }

        @media screen and (max-width: 768px) {
            display: table;

            & > * {
                display: table-cell;
                vertical-align: middle;
                background-color: white;
                &.img-div {
                    height: auto;
                    display: table-cell;
                    width: 110px;
                    border-top-right-radius: 0;
                    border-bottom-right-radius: 0;
                }
                &.desc-div {
                    padding: 10px;
                    font-size: 10px;
                    border-top-right-radius: 10px;
                    border-bottom-right-radius: 10px;
                    h2 {
                        font-size: 11px;
                    }
                    p,
                    a {
                        font-size: 11px;
                        margin: 0;
                    }
                }
            }
        }
    }
    .dropdown-product {
        position: relative;
        z-index: 1;
        cursor: pointer; 

        .label {
            padding: 15px;
            background-color: white;
            border-radius: 6px;
            color: $bluedark2;

            @include breakpoint(mobile) {
                font-size: 12px;
                margin-bottom: 15px;
            }
        }
        .dropdown-product-menu {
            list-style: none;
            padding-left: 0;
            background-color: white;
            border-radius: 8px;
            position: absolute;
            left: 0;
            right: 0;
            margin-top: 15px;
            -webkit-box-shadow: 0px 8px 14px -1px #dee2e6;
            -moz-box-shadow: 0px 8px 14px -1px #dee2e6;
            box-shadow: 0px 8px 14px -1px #dee2e6;
            display: none;
            //   height: 0;
            &.first li:not(:last-child) {
                border-bottom: 1px solid #f7f7f7;
            }
            &:after {
                content: "";
                position: absolute;
                left: 42%;
                top: -18px;
                width: 0;
                height: 0;
                border-left: 20px solid rgba(0, 0, 0, 0);
                border-right: 20px solid rgba(0, 0, 0, 0);
                border-bottom: 20px solid #fff;
                clear: both;
            }

            @media screen and (max-width: 768px) {
                position: relative;
            }
            &.open {
                display: block;
            }
            img {
                border-radius: 10px;
                max-width: 60px;
            }
            li {
                font-size: 14px;
                padding: 10px;
                span {
                    color: $bluedark2;
                    font-weight: 500;
                }
                &:not(:last-child) {
                    border-bottom: 1px solid #dedede;
                }
                a {
                    display: block;
                    color: #333;
                }
                &.active {
                    position: relative;
                    &:after {
                        display: inline-block;
                        font: normal normal normal 14px/1 FontAwesome;
                        font-size: inherit;
                        text-rendering: auto;
                        -webkit-font-smoothing: antialiased;
                        -moz-osx-font-smoothing: grayscale;
                        content: "\f058";
                        position: absolute;
                        right: 15px;
                        top: 50%;
                        transform: translateY(-50%);
                        color: #2655b6;
                        font-size: 18px;
                    }
                }
                @include breakpoint(mobile) {
                    font-size: 12px;
                }
            }
            &.hamil li,
            &.balita li {
                padding: 14px 20px;
            }
            li:nth-child(1) {
                margin-top: 28px;
            }
        }
    }
    .section-download-app {
        padding-bottom: 2rem;
        text-align: center;
    }
    .breadcrumb {
        background: rgba(0,0,0,0);
        display: inline-flex;
        justify-content: center;
        margin-bottom: 0;
        padding-left: 0;
        padding-right: 0;
        &-item+.breadcrumb-item:before {
            content: ">"!important;
        }
    }
    
    .breadcrumb-item {
        display: -webkit-inline-box;
        padding-left: 0;
        margin-left: 8px;
        .active {
            color: #26419e;
        }
    }
    
    .breadcrumbs {
        font-family: GothamRounded-Book;
        font-size: 14px;
        background: #f4f4f4;
        text-align: center;
    }

}
